Quake Wars: Tactical Assault

Enemy Territory: Quake Wars mod |

Follow 88

A new release(Standalone: You don't need QWTA v0.3 or earlier installed for this to work.) that addresses a few problems in v0.3, as well as adding additional features.

Quake Wars: Tactical Assault v0.3.1

Related to Full Version

Only registered members can share their thoughts. So come on! Join the community today and join in the conversation.

You are not logged in, join the community or sign in with your social account: